c
c***********************************************************************
      subroutine ssh(rlat,rlon,rsh)
c***********************************************************************
c
c  subroutine to interpolate sea surface height from a grd-file
c
c  input
c   rlat -  latitude in degrees
c   rlon -  longitude in degrees 0 to 360
c 
c  output
c   rsh  -  sea surface height in meters
c
c***** calls no other routines. requires a file GSFC00.1_MSS
c
      parameter (ndim=(10800*5400))
      implicit real*8 (a-h,o-z)
      character*80 filein,title
c     real*4 rgg(5400,10800)
      real*4 rgg(ndim)
      save istrt,lug,rgg
      save sigd,sigd2,idlt,jdlt,risp
      save nln,nlt,rlt0,rln0,rdlt,rdln
      data filein/'/mgg/alt/grids/ssh.egm2008.grd'/
      data istrt,lug/0,37/
c
c  check latitude range
c
      if(abs(rlat).ge.90.) then
        rsh=999.99
        return
      endif
      if(istrt.gt.0) go to 40
c     filein='/radar/altdata/ssh.egm2008.grd'
      nc=index(filein,' ')
      filein(nc:nc)=char(0)
c
c  read the input .grd file if this is the first time
c
      call readgrd(rgg,nj,ni,rlt0,rln0,
     +            dlt,dln,rdum,title,filein)
c
c  set the parameters
c
      nln=nj
      nlt=ni
      rdlt=-dlt
      rdln=dln
c
c check for proper dimensions.
c
      risp=abs(rdlt)
      sigd=risp*2./3.
      sigd2=sigd**2
      idlt=3
      jdlt=3
c
      istrt=1
  40  continue
c
c loop through the data.
c
c
c  calculate the offset between the data point and the
c  center of the box.
c
      ic=(rlt0-rlat)/risp+1
      jc=rlon/risp+1
c
c  do convolution
c
      sumd=0.
      sumr=0.
      do 60 j=-jdlt,jdlt
      jin=jc+j
      dln=rlon-(jin-.5)*risp
      dln2=dln**2
      jin=jin+nln
      jin=mod(jin,nln)
      if(jin.eq.0.)jin=nln 
      do 50 i=-idlt,idlt
      iin=i+ic
      if(iin.lt.1.or.iin.gt.nlt) go to 50
      dlt=rlat-(rlt0-(iin-.5)*risp)
      dlt2=dlt**2
      t=(dln2+dlt2)/(2.*sigd2)
      if(t.gt.80) go to 50
      filt=exp(-t)
      sumr=sumr+filt
      kk=(iin-1)*nln+jin
      sumd=sumd+filt*rgg(kk)
c     sumd=sumd+filt*rgg(iin,jin)
  50  continue
  60  continue
      gr=0.
      if(sumr.gt.0.) rsh=sumd/sumr
      return
      end
