!==============================================================================
!	EA_STRUCTS.INC	Structure definitions for WAP utilities - 184 bytes
!==============================================================================
!
	type rrea
          integer(kind=4) ::    utcs
          integer(kind=4) ::    utcms
	  integer(kind=4) ::	lat
	  integer(kind=4) ::	lon
	  integer(kind=4) ::	agc
	  integer(kind=4) ::	sig0
	  integer(kind=4) ::	range
	  integer(kind=4) ::	alt
	  integer(kind=4) ::	corr
          integer(kind=4) ::    tide
          integer(kind=4) ::	geoid
	  integer(kind=4) ::	swh0
	  integer(kind=2) ::	wave(64)
!
!  output from retracking algorithm
!
          integer(kind=2) ::    drange
          integer(kind=2) ::    swh
          integer(kind=2) ::    amp
          integer(kind=2) ::    flag
	end type rrea
!
!	utcs	utc integer seconds since jan 1 1985
!	utcms	microseconds fraction beyound utcs
!	lat	degrees x 10^6; -90000000 to 90000000
!	lon	degrees x 10^6, 0 to 359999999
!	agc	automatic gain control x 100 db, 0 to 6400
!	sig0	sigma naught x 100, -2500 to 5600
!	range	raw range to bin 32.5, mm
!	alt	Delft ODR height above WGS84 ellipsoid, mm
!	corr	mm sum of (-dopp+iono+dry_tropo+wet_tropo-cog_off)
!	tide	mm sum of (earth_tide+ocean_tide+(ocean_ltide_CSR4.0)
!	geoid   mm height from Goddard model (lat < 80) egm96 (lat > 80
!       swh0    significant wave height from original tracking, mm
!	wave	returned waveform power, 0 to 65535
!
! results from retracking
!
!       drange  correction to range, mm
!       swh     retracked swh, mm
!       amp     amplitude of waveform, counts (0 to 65535)
!       flag     1 - ice mode
!                2 - lake
!                3 - dry land
!                4 - no delft orbit - use wap orbit
!                5 - delft orbit outside of precise - use delft orbit
!                6 - no csr tide model available - use wap tide model
!                7 - no high-resolution ssh model available - use EGM96
!             results from retrack1
!                8 - waveform is flat
!                9 - min occurs after first max
!               10 - waveform ramp is out of bounds
!               11 - low track point after high track point
!               12 - drange is out of bounds
!               13 - swh is out of bounds
!               14 - erf_retrack failed least squares
!               15 - amp outside range 600-730
!               16 - open
!
!       the following computes height using all of the corrections and tides
!       elev = alt - range - dop_cor + ion_cor + dry_tropo +
!    +                  wet_tropo - earth_tide - ocean_tide -
!    +                  ocean_ltide - cog_off
!

