/*  c20_trkout input.c20 > output

program to read a Cryosat 20 Hz
and output latitude and longitude

  */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "cryosat20hz.h"

int main (int argc, char **argv) {

	struct CRYOSAT20HZ c;
	FILE	*fpin;
	int	i, n, k, tide, delay, h, h0, h1, h2,issb, kk, ioff, nstr, tide_csr;
	unsigned int itest;
    int     ngood=0, nbad=0;
	double	t,lat, lon, t0, alt, range, ssh, diff, wfac, sfac=0., swdiff, damp;
	double	latprev, lonprev, tnow, tprev;
	
	/* Make sure usage is right by opening files  */
	
	if (argc != 2 || (fpin = fopen(argv[1], "r")) == NULL) {
		fprintf (stderr, "usage:  c20_swh input.c20 \n");
		exit (-1);
	}
	k = 0;
    n = 0;
    tprev = 0.0;
    latprev = 0.0;
    lonprev = 0.0;
    
	while ( (fread ((void *)&c, sizeof(struct CRYOSAT20HZ), (size_t)1, fpin)) == 1 ) {
        lat = 1.0e-06 * c.lat;
		lon = 1.0e-06 * c.lon;
        tnow = 1.0e-06*(double)c.microsec+(double)c.sec2000;
        
		if(c.trackbits == 0) {
			/* detect breaks in passes 
			if ((k != 0) & (((tnow-tprev) > 1.0) | ((abs(lat-latprev)) > 0.003) | ((abs(lon-lonprev)) > 0.003)) ) {
				printf("> \n");
			} */	
			printf("%lf %lf %d \n",lon,lat,c.pswh[0]);
        	ngood = ngood +1;
        } 
        else {
        	nbad=nbad+1;
        }		
			
		tprev=tnow;
		latprev=lat;
		lonprev=lon;
		k++;
	}
	fclose (fpin);
	exit (0);
}
