%
%   script to plot the brown and sar waveforms and the derivatives
%
load wave.dat
t=3.125*(wave(:,1)-64.);
e=wave(:,2);
et=wave(:,3);
es=wave(:,4);
m=wave(:,5);
mt=wave(:,6);
ms=wave(:,7);
%
%   plot the Brown waveform and derivatives
%
figure(1)
clf
subplot(2,1,1),plot(t,e,t,-et,'--',t,es,'.')
%hold on
axis([-30,60,-.5,1.1]),xlabel('time (ns)'),ylabel('normalized power')
%
%   plot the SAR waveform and derivatives
%
subplot(2,1,2),plot(t,m,t,mt,'--',t,ms,'.')
%hold on
axis([-30,60,-1.0,1.5]),xlabel('time (ns)'),ylabel('normalized power')
%
%  make the same plot using matlab code
%
tg=wave(:,1);
t0=64;
sig=1.068;
[M0,Mt,Ms]=erf_model(tg,t0,sig);
[M0s,Mts,Mss]=pcf_model(tg,t0,sig);
%figure(2)
%clf
%subplot(2,1,1),plot(t,M0,t,-Mt,'--',t,Ms,'.')
%axis([-30,60,-.5,1.1]),xlabel('time (ns)'),ylabel('normalized power')
%
%   plot the SAR waveform and derivatives
%
%subplot(2,1,2),plot(t,M0s,t,-Mts,'--',t,Mss,'.')
%axis([-30,60,-1.0,1.5]),xlabel('time (ns)'),ylabel('normalized power')
