function[M0,Mt,Ms]=erf_model(t,t0,sig)
%
%       Create the error function model and its derivatives
%
%       input:
%
%       t       - times to evaluate model
%       t0      - travel time
%       sig     - sigma of model
%
%       output:
%
%       M0      - error function model
%       Mt      - derivative with respect to t0
%       Ms        Rderivative with respect to sig
%
%
%  compute eta
%
  eta = (t-t0)/(sqrt(2)*sig);
  ef  = erf(eta);
  e2  = exp(-eta.*eta);
  M0  = 0.5*(1+ef);
  tmp = -e2/(sqrt(pi)*sig);
  Mt  =  tmp/(sqrt(2));
  Ms  =  eta.*tmp;
  return
