/*-- Reads in waveform data fron an ascii file and does a least squares fit */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

int main( int   argc, char *argv[] )
{
	/*-- set odd number of waveforms --*/
	int nw = 1, npar = 3, niter = 0, igate = 0;
	int iwf[nw];
	double t0[nw], t1[nw];
	double dum1, dum2;
        double gate[1280],powr[1280];
        double rw[128],rmw[128],tgate[128];
	double drange, sig0, sigw, sig1, amp, std, swh, prob, chi2;
	double	gt2mm=468.257; /* 234.129 468.257 */
	FILE *fpin, *fpout;

	if( argc != 3 ){
        	printf( "usage: %s infile.dat outfile.dat \n", argv[0] );
        	return EXIT_FAILURE;
	}
	fpin = fopen(argv[1], "r");
	fpout = fopen(argv[2], "w");
	
	sigw = 0.5;
        iwf[0] = 0;
	t0[0]=64.;
	sig0=3000/4./gt2mm;

	while(fscanf(fpin,"%lg %lg \n",&gate[igate],&powr[igate]) != EOF){
		igate=igate+1;
        }

	for(igate=0;igate<128;igate++){
		rw[igate]=powr[igate*10];
		tgate[igate]=gate[igate*10];
        }

	while( niter < 10 ){
		saran_(&nw,&sigw,rw,iwf,t0,&sig0,&npar,rmw,t1,&sig1,&amp,&std,&prob,&chi2);
		niter = niter+1;
                printf(" %d %f %f %f %f %f\n",niter,t0[0],sig0,t1[0],sig1,1250*std);
		t0[0]=t1[0];
		sig0=sig1;
	}

	for(igate=0;igate<128;igate++){
		rw[igate]=powr[igate*10];
		fprintf(fpout," %d %f %f %f \n",igate,tgate[igate],rw[igate],rmw[igate]);
        }

	fclose(fpin);
	fclose(fpout);
	return EXIT_SUCCESS;
}
