/*  c20_trkout input.c20 > output

program to read a Cryosat 20 Hz
and output latitude and longitude

  */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "cryosat20hz.h"

int main (int argc, char **argv) {

	struct CRYOSIN20HZ c;
	FILE	*fpin;
	int	i, n, k;
	double	lat, lon;
	
	/* Make sure usage is right by opening files  */
	
	if (argc != 2 || (fpin = fopen(argv[1], "r")) == NULL) {
		fprintf (stderr, "usage:  c20_trkout  input.c20  \n");
		exit (-1);
	}
	k = 0;
        n = 0;
	while ( (fread ((void *)&c, sizeof(struct CRYOSIN20HZ), (size_t)1, fpin)) == 1 ) {
                k=k+1;
		lat = 1.0e-06 * c.lat;
		lon = 1.0e-06 * c.lon;
		printf("%g %g \n",lon,lat);
	}
	fclose (fpin);
	exit (0);
}
